<template>
  <v-main>
    <v-card class="mx-auto my-10" max-width="85%" min-width="45%">
      <h3 style="text-align: center">FICHA DE PROYECTO</h3>
      <div class="d-flex justify-space-around mt-6">
        <div><p class="mt-3" size="50">Código de Proyecto</p></div>

        <div>
          <v-text-field solo class="" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <div><p class="mt-3 mr-4" size="50">Nombre Proyecto</p></div>

        <div>
          <v-text-field solo class="" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-3">Responsable Empresa</p>
        <div>
          <v-text-field solo class="mr-3" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 mr-4">Especialista</p>
        <div>
          <v-text-field solo class="ml-11" size="40"></v-text-field>
        </div>
      </div>
      <!-- COMMENTED -->
      <!--
      <div class="d-flex justify-center">
        <p class="mt-2">Equipo</p>
        <v-btn class="mx-2" dark large color="blue">
          <v-icon dark> mdi-account-multiple </v-icon>
        </v-btn>
      </div>
      -->
      <div class="d-flex justify-space-around mt-4">
        <p class="mt-3">Brecha a acortar</p>
        <div>
          <v-text-field solo class="ml-4" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-2">Objetivos de Negocio</p>
        <div>
          <v-text-field solo class="mr-2" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3">Alcance del Proyecto</p>
        <div>
          <div>
            <v-text-field solo class="" size="40"></v-text-field>
          </div>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-2">Objetivos del Proyecto</p>
        <div>
          <v-text-field solo class="mr-2" size="40" height="100"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-2">Criterios de Evaluación</p>
        <div>
          <v-text-field solo class="mr-2" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-2">Dimensión que Impacta</p>
        <div>
          <v-text-field solo class="mr-2" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-2">Componente a Impactar</p>
        <div>
          <v-text-field solo class="mr-2" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 mr-7">Mejora Cualitativa</p>
        <div>
          <v-text-field solo class="" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3">Mejora Cuantitativa</p>
        <div>
          <v-text-field solo class="ml-4" size="40"></v-text-field>
        </div>
      </div>
      <div class="d-flex justify-space-around">
        <p class="mt-3 ml-4">Entregable comprometido</p>
        <div>
          <v-text-field solo class="mr-4" size="40"></v-text-field>
        </div>
      </div>
    </v-card>
    <v-card class="mx-auto my-10" max-width="85%" min-width="45%">
      <div class="container">
        <h3 class="mt-4 text-center">EQUIPO</h3>
        <form>
          <div class="d-flex justify-space-around mt-6">
            <div class="form-group d-flex justify-space-around">
              <label class="mt-3" for="name">Nombre</label>
              <v-text-field
                type="text"
                solo
                v-model="name"
                class="form-control ml-4"
              />
            </div>
            <div class="form-group d-flex justify-space-around">
              <label class="mt-3" for="name">Rol</label>
              <v-text-field
                type="text"
                solo
                v-model="score"
                class="form-control ml-4"
              />
            </div>
            <div>
              <v-btn class="ma-2" outlined color="indigo" @click="onSubmit">
                Guardar
              </v-btn>
            </div>
          </div>
          <div class="d-flex justify-space-around mt-6">
            <div class="form-group d-flex justify-space-around">
              <label class="mt-3" for="name">Correo</label>
              <v-text-field
                type="text"
                solo
                v-model="correo"
                class="form-control ml-4"
              />
            </div>
            <div form-group d-flex justify-center>
              <v-select
                :items="items"
                label="Dedicacion"
                dense
                solo
                v-model="dedicacion"
              ></v-select>
            </div>
          </div>
        </form>
        <v-simple-table class="table mt-5">
          <template>
            <thead>
              <tr>
                <th class="text-left" scope="col">#No</th>
                <th class="text-left" scope="col">Nombre</th>
                <th class="text-left" scope="col">Rol</th>
                <th class="text-left" scope="col">Correo</th>
                <th class="text-left" scope="col">Dedicacion</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(entry, i) in sortedList" :key="i">
                <th scope="row">{{ ++i }}</th>
                <td>{{ entry.name }}</td>
                <td>{{ entry.score }}</td>
                <td>{{ entry.correo }}</td>
                <td>{{ entry.dedicacion }}</td>
                <td>
                  <v-icon small color="error" @click="deleteItem(entry)">
                    delete
                  </v-icon>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
      </div>
    </v-card>
  </v-main>
</template>

<script>
export default {
  name: "Leaderboard",
  data: () => ({
    name: "",
    score: "",
    correo: "",
    dedicacion: "",
    allScores: [],
    items: ["10%", "25%", "50%", "75%", "100%"],
  }),
  computed: {
    sortedList: function () {
      return this.allScores.slice().sort(function (a, b) {
        return b.score - a.score;
      });
    },
  },
  methods: {
    onSubmit() {
      this.allScores.push({
        name: this.name,
        score: this.score,
        correo: this.correo,
        dedicacion: this.dedicacion,
      });
      this.clearForm();
    },
    clearForm() {
      this.name = "";
      this.score = "";
      this.correo = "";
      this.dedicacion = "";
    },
    deleteItem(entry) {
      const index = this.allScores.indexOf(entry);
      confirm("Are you sure you want to delete this item?") &&
        this.allScores.splice(index, 1);
    },
  },
};
</script>
